<?php
/**
 * @file
 * popsu_actualites.features.inc
 */

/**
 * Implements hook_block_class_features_default_class().
 */
function popsu_actualites_block_class_features_default_class() {
  return array(
    'views:actualites-block_1' => array(
      'module' => 'views',
      'delta' => 'actualites-block_1',
      'css_classes' => 'left-nav-level-1',
    ),
    'views:actualites-block_2' => array(
      'module' => 'views',
      'delta' => 'actualites-block_2',
      'css_classes' => 'left-nav-level-1',
    ),
  );
}

/**
 * Implements hook_ctools_plugin_api().
 */
function popsu_actualites_ctools_plugin_api() {
  list($module, $api) = func_get_args();
  if ($module == "boxes" && $api == "box") {
    return array("version" => "1");
  }
  list($module, $api) = func_get_args();
  if ($module == "context" && $api == "context") {
    return array("version" => "3");
  }
  list($module, $api) = func_get_args();
  if ($module == "field_group" && $api == "field_group") {
    return array("version" => "1");
  }
  list($module, $api) = func_get_args();
  if ($module == "page_manager" && $api == "pages_default") {
    return array("version" => "1");
  }
  list($module, $api) = func_get_args();
  if ($module == "strongarm" && $api == "strongarm") {
    return array("version" => "1");
  }
}

/**
 * Implements hook_views_api().
 */
function popsu_actualites_views_api() {
  return array("version" => "3.0");
}

/**
 * Implements hook_image_default_styles().
 */
function popsu_actualites_image_default_styles() {
  $styles = array();

  // Exported image style: popsu-actu-home.
  $styles['popsu-actu-home'] = array(
    'name' => 'popsu-actu-home',
    'effects' => array(
      15 => array(
        'label' => 'Mise à l’échelle et recadrage',
        'help' => 'La mise à l\'échelle et le recadrage maintiendront les proportions originales de l\'image puis recadreront la dimension la plus large. C\'est très utile pour créer des vignettes carrées sans étirer les images.',
        'effect callback' => 'image_scale_and_crop_effect',
        'dimensions callback' => 'image_resize_dimensions',
        'form callback' => 'image_resize_form',
        'summary theme' => 'image_resize_summary',
        'module' => 'image',
        'name' => 'image_scale_and_crop',
        'data' => array(
          'width' => '206',
          'height' => '156',
        ),
        'weight' => '1',
      ),
    ),
  );

  // Exported image style: popsu-actu-listing.
  $styles['popsu-actu-listing'] = array(
    'name' => 'popsu-actu-listing',
    'effects' => array(
      16 => array(
        'label' => 'Mise à l’échelle et recadrage',
        'help' => 'La mise à l\'échelle et le recadrage maintiendront les proportions originales de l\'image puis recadreront la dimension la plus large. C\'est très utile pour créer des vignettes carrées sans étirer les images.',
        'effect callback' => 'image_scale_and_crop_effect',
        'dimensions callback' => 'image_resize_dimensions',
        'form callback' => 'image_resize_form',
        'summary theme' => 'image_resize_summary',
        'module' => 'image',
        'name' => 'image_scale_and_crop',
        'data' => array(
          'width' => '220',
          'height' => '168',
        ),
        'weight' => '1',
      ),
    ),
  );

  return $styles;
}

/**
 * Implements hook_node_info().
 */
function popsu_actualites_node_info() {
  $items = array(
    'popsu_actu' => array(
      'name' => t('Actualités'),
      'base' => 'node_content',
      'description' => t('Ce type de contenu permet de créer des actualités sur la page d\'accueil du site.'),
      'has_title' => '1',
      'title_label' => t('Titre de l\'actualité'),
      'help' => '',
    ),
  );
  return $items;
}
